Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.tree
Class EmptyTreeModel

    java.lang.Object
      com.tonbeller.wcf.tree.EmptyTreeModel

All Implemented Interfaces:
  TreeModel

public class EmptyTreeModel
extends java.lang.Object
implements TreeModel

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.tree.TreeModel
`EMPTY_MODEL`

Method Summary
`void` | `addTreeModelChangeListener(TreeModelChangeListener l)`
`void` | `fireModelChanged(boolean identityChanged)` fires a TreeModelChangeEvent.
`java.lang.Object[]` | `getChildren(java.lang.Object node)`
`java.lang.Object` | `getParent(java.lang.Object node)`
`java.lang.Object[]` | `getRoots()` returns the root members of the tree.
`boolean` | `hasChildren(java.lang.Object node)`
`static TreeModel` | `instance()`
`void` | `removeTreeModelChangeListener(TreeModelChangeListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static TreeModel instance()

### getRoots

    public java.lang.Object[] getRoots()

  Description copied from interface: `TreeModel`
  returns the root members of the tree.

  Specified by:
    `getRoots` in interface `TreeModel`

### hasChildren

    public boolean hasChildren(java.lang.Object node)

  Specified by:
    `hasChildren` in interface `TreeModel`
  Returns:
    true if the member can be expanded

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object node)

  Specified by:
    `getChildren` in interface `TreeModel`
  Returns:
    the children of the member

### getParent

    public java.lang.Object getParent(java.lang.Object node)

  Specified by:
    `getParent` in interface `TreeModel`
  Returns:
    the parent of member or null, if this is a root member

### addTreeModelChangeListener

    public void addTreeModelChangeListener(TreeModelChangeListener l)

  Specified by:
    `addTreeModelChangeListener` in interface `TreeModel`

### removeTreeModelChangeListener

    public void removeTreeModelChangeListener(TreeModelChangeListener l)

  Specified by:
    `removeTreeModelChangeListener` in interface `TreeModel`

### fireModelChanged

    public void fireModelChanged(boolean identityChanged)

  Description copied from interface: `TreeModel`
  fires a TreeModelChangeEvent.

  Specified by:
    `fireModelChanged` in interface `TreeModel`
  Parameters:
    `identityChanged` - if true, the identities of the tree nodes have changed and, for example, the selection will be cleared.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD